Search found 695 matches

Go to advanced search

by ian.rees
Mon Aug 20, 2018 8:14 am
Forum: Help on using FreeCAD
Topic: Unable to connect to SpaceNavigator with FreeCAD 0.17 on Fedora 28
Replies: 64
Views: 5061

Re: Unable to connect to SpaceNavigator with FreeCAD 0.17 on Fedora 28

I'm late to the party, but not having success with this yet in Ubuntu 18.04... I've installed libspnav-dev and spacenavd, and FreeCAD's cmake says: -- Found Spnav: /usr/lib/libspnav.so However, it appears that HAVE_SPACENAV_LIB never gets defined, so it would seem that most of the spacenavigator-rel...
by ian.rees
Sat Aug 18, 2018 6:56 am
Forum: Install / Compile
Topic: Building with Python 3, Qt 5 on Ubuntu 18.04
Replies: 27
Views: 2791

Re: Building with Python 3, Qt 5 on Ubuntu 18.04

IMO we should first try to load the shiboken/PySide Python module and if this fails try sip/PyQt. FYI, there exists a tiny wrapper called QtPy (which is part of the Spyder IDE) and by using it we could simplify a lot of things in our pure Python workbenches (Arch, Draft, ...). So, this way we could...
by ian.rees
Sat Aug 18, 2018 2:59 am
Forum: Install / Compile
Topic: Building with Python 3, Qt 5 on Ubuntu 18.04
Replies: 27
Views: 2791

Re: Building with Python 3, Qt 5 on Ubuntu 18.04

Sorry about my delayed response, but I've finally gotten around to working on this a bit more. On my system, installing libpyside2-dev doesn't install a cmake file for Python3, so cmake complains that it can't find /usr/lib/x86_64-linux-gnu/cmake/PySide2-5.11.0/PySide2Config.cpython-36m-x86_64-linux...
by ian.rees
Sun Aug 12, 2018 11:50 pm
Forum: Install / Compile
Topic: Building with Python 3, Qt 5 on Ubuntu 18.04
Replies: 27
Views: 2791

Re: Building with Python 3, Qt 5 on Ubuntu 18.04

Well, could you please describe how to do it then? I can' give the exact instructions for Ubuntu 18.04 as i haven't tested that yet. Ha! Then what were you on about, saying it was easy to do... Anyway, it doesn't matter. So, now that python3-pivy and python3-pyside2.* packages are available in the ...
by ian.rees
Sun Aug 12, 2018 6:44 pm
Forum: Install / Compile
Topic: Building with Python 3, Qt 5 on Ubuntu 18.04
Replies: 27
Views: 2791

Re: Building with Python 3, Qt 5 on Ubuntu 18.04

* Ubuntu 18.04 is distributed with Qt5.9.5, but most of the PySide2 packaging at this stage is for Qt5.11 Is it? I know that with the release of Qt5.11 it was officially announced that PySide2 will be part of Qt. But I recently build PySide2 on Windows against Qt < 5.11 and can't remember of any bu...
by ian.rees
Sun Aug 12, 2018 7:13 am
Forum: Install / Compile
Topic: Building with Python 3, Qt 5 on Ubuntu 18.04
Replies: 27
Views: 2791

Re: Building with Python 3, Qt 5 on Ubuntu 18.04

kkremitzki wrote:
Sun Aug 12, 2018 6:06 am
it should have just been built against the system Qt.
Hmm, I'm not sure if that's going to work, at least with the PySide2 deb that's currently available. Ubuntu 18.04 ships with Qt 5.9, but I think the PySide2 deb is built with Qt5.11.
by ian.rees
Sun Aug 12, 2018 4:48 am
Forum: Developers corner
Topic: [SOLVED] Repacking FCStd files
Replies: 15
Views: 695

Re: [SOLVED] Repacking FCStd files

Great! Just a suggestion thinking a few steps ahead: If you don't have a requirement to use git specifically, it might be wise to use mercurial for the revision control. The reason being that, in the future, this would be a cool feature to have built in to FreeCAD which already incorporates a Python...
by ian.rees
Sun Aug 12, 2018 1:50 am
Forum: Developers corner
Topic: [SOLVED] Repacking FCStd files
Replies: 15
Views: 695

Re: Diffing through .fcstd files

The fcstd format requires that one particular file is encoded first in the zip - I'm pretty sure it's Document.xml. Probably the easiest way to achieve this, is to create a zip with just Document.xml, then explicitly pack Document.xml first: zip -r newfile.FCStd add Document.xml all other files her...
by ian.rees
Sun Aug 12, 2018 12:37 am
Forum: Developers corner
Topic: [SOLVED] Repacking FCStd files
Replies: 15
Views: 695

Repacking FCStd files (temp IR screwed up splitting a topic...)

How do we repack the output directory? Because simply zipping the output of unzipped folder is not sufficient: The fcstd format requires that one particular file is encoded first in the zip - I'm pretty sure it's Document.xml. Probably the easiest way to achieve this, is to create a zip with just D...
by ian.rees
Sat Aug 11, 2018 11:39 pm
Forum: Install / Compile
Topic: Building with Python 3, Qt 5 on Ubuntu 18.04
Replies: 27
Views: 2791

Re: Building with Python 3, Qt 5 on Ubuntu 18.04

triplus wrote:
Sat Aug 11, 2018 12:48 pm
Building FreeCAD against Py3 and Qt5 on Ubuntu isn't all that much different or harder to achieve compared to building against Py2 and Qt4
Well, could you please describe how to do it then?

Go to advanced search